package com.lantone.qc.kernel.catalogue.behospitalized;

import com.lantone.qc.kernel.catalogue.QCCatalogue;
import com.lantone.qc.kernel.util.CatalogueUtil;
import com.lantone.qc.pub.model.InputInfo;
import com.lantone.qc.pub.model.OutputInfo;
import com.lantone.qc.pub.util.StringUtil;
import org.springframework.stereotype.Component;

import java.util.Map;


/**
 * @ClassName : BEH0473
 * @Description :  生命体征未填写
 * @Author : 胡敬
 * @Date: 2020-03-26 19:30
 */
@Component
public class BEH0473 extends QCCatalogue {
    public void start(InputInfo inputInfo, OutputInfo outputInfo) {
        if (inputInfo.getBeHospitalizedDoc() == null) {
            status.set("0");
            return;
        }
        Map<String, String> structureMap = inputInfo.getBeHospitalizedDoc().getStructureMap();
        if (structureMap != null) {
            if (StringUtil.isNotBlank(structureMap.get("体温"))
                    || StringUtil.isNotBlank(structureMap.get("脉搏"))
                    || StringUtil.isNotBlank(structureMap.get("呼吸"))
                    || StringUtil.isNotBlank(structureMap.get("血压"))) {
                status.set("0");
            }
        }

    }
}